Want more timely Centmin Mod News Updates?
Become a Member

[Solved] Install Zend OpCache Sub-Menu PHP version 7.4 ioncube.so

Discussion in 'Bug Reports' started by EckyBrazzz, Sep 28, 2019.

Tags:
  1. EckyBrazzz

    EckyBrazzz Active Member

    873
    183
    43
    Mar 28, 2018
    >>>>Click here<<<< i'm nearby......
    Ratings:
    +334
    Local Time:
    4:05 PM
    Latest
    Latest
    Don't know if it is a bug, or PHP7.4.0RC2

    Cenmin Menu says
    Code (Text):
    To enable Zend OPcache run menu option #5 and specify PHP 5.5.0 or higher


    And yes, mine is higher.

    Code (Text):
    --------------------------------------------------------
    Enter option [ 1 - 24 ] 12
    --------------------------------------------------------
    
    --------------------------------------------------------
            Zend OpCache Sub-Menu            
    --------------------------------------------------------
    1). Install Zend OpCache
    2). Reinstall Zend OpCache
    3). Back to Main menu
    --------------------------------------------------------
    Enter option [ 1 - 3 ] 1
    --------------------------------------------------------
    *************************************************
    * Installing Zend Optimizer Plus OPcache
    *************************************************
    Failed loading /usr/local/lib/php/extensions/no-debug-non-zts-20190902/ioncube.so:  /usr/local/lib/php/extensions/no-debug-non-zts-20190902/ioncube.so: cannot open shared object file: No such file or directory
    -------------------------------------------------------------------
    Current PHP branch: 7.4
    Current centmin.sh set PHP_VERSION: 5.6
    Current PHP upgrade version set:
    -------------------------------------------------------------------
    
    Detected PHP branch: 5.5+ which has native support for Zend OPcache
    To enable Zend OPcache run menu option #5 and specify PHP 5.5.0 or higher
    


    And rocket-nginx
    Code (Text):
    php rocket-parser.php
    Failed loading /usr/local/lib/php/extensions/no-debug-non-zts-20190902/ioncube.so:  /usr/local/lib/php/extensions/no-debug-non-zts-20190902/ioncube.so: cannot open shared object file: No such file or directory
    

     
  2. pamamolf

    pamamolf Premium Member Premium Member

    3,846
    377
    83
    May 31, 2014
    Ratings:
    +723
    Local Time:
    10:05 PM
    Nginx-1.17.x
    MariaDB 10.3.x
    I think Ioncube doesn't support yet php 7.4
     
  3. EckyBrazzz

    EckyBrazzz Active Member

    873
    183
    43
    Mar 28, 2018
    >>>>Click here<<<< i'm nearby......
    Ratings:
    +334
    Local Time:
    4:05 PM
    Latest
    Latest
  4. eva2000

    eva2000 Administrator Staff Member

    45,202
    10,280
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +15,934
    Local Time:
    5:05 AM
    Nginx 1.19.x
    MariaDB 5.5/10.x
    Yeah Ioncube not ready for PHP 7.4 and well I haven't looked at Ioncube for PHP 7.4 support in Centmin Mod 123.09beta01 as yet. When PHP 7.4 final stable release is here, then start looking :)